## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

---

### Reset an Identity Provider Setup

**Endpoint:** `POST /v2.0/identityprovider/reset`

**cURL Command:**

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/identityprovider/reset \
  --header 'X-API-Key: <api-key>'
```

**Python Example:**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/identityprovider/reset"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
```

**JavaScript Fetch Example:**

```javascript
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/identityprovider/reset', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP Example:**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/identityprovider/reset",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go Example:**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/identityprovider/reset"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

---

### Response Codes
- **204**: The identity provider configuration was successfully reset.
- **Errors:**
  - `400`: Bad Request – Validation failed. Missing payload.
  - `401`: Unauthorized – Invalid API key.
  - `403`: Forbidden – Access denied.
  - `404`: Not Found – Resource does not exist.
  - `500`: Internal Server Error – Server issue.
 
### Authorizations
 **X-API-Key** required in header for authorization to access the endpoint.
